## hyperrogue 4.0t+dfsg

=== Makefile ===
CXXFLAGS ?= -O3

hyper: hyper.cpp graph.cpp hyperpoint.cpp geometry.cpp cell.cpp heptagon.cpp game.cpp classes.cpp polygons.cpp
	g++ hyper.cpp -o hyper -lSDL -lSDL_ttf -lSDL_mixer -DFHS -Wall -g -lSDL_gfx ${CXXFLAGS} ${CPPFLAGS} ${LDFLAGS}
