=== debian/changelog ===
hyperrogue (4.0t+dfsg-1) unstable; urgency=low

  [ Christian M. Amsüss ]
  * Initial release. (Closes: #716924)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 27 Nov 2013 22:56:06 +0200
