=== debian/control ===
Source: hyperrogue
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Christian M. Amsüss <chrysn@fsfe.org>,
 Damyan Ivanov <dmn@debian.org>
Build-Depends:
 debhelper (>= 9),
 imagemagick,
 libfontconfig-dev,
 libsdl-gfx1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev
Standards-Version: 3.9.4
Section: games
Homepage: http://www.roguetemple.com/z/hyper.php
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/hyperrogue.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-games/hyperrogue.git

Package: hyperrogue
Architecture: any
Depends:
 ttf-bitstream-vera | fonts-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 hyperrogue-music
Description: non-euclidean graphical rogue-like game
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 In HyperRogue, the player can move through different parts of the world, which
 are home to particular creatures and may be subject to own rules of "physics".
 .
 While it can use ASCII characters to display the world the classical rogue
 symbols, the game needs graphics to render the non-euclidean world.

Package: hyperrogue-music
Architecture: all
Depends: ${misc:Depends}
Recommends: hyperrogue
Description: in-game music for hyperrogue
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 This package contains the in-game music.

Package: hyperrogue-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
 hyperrogue (= ${binary:Version})
Description: debug data for hyperrogue
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 This package contains the debugging symbols.
