=== debian/changelog ===
hyperrogue (4.2+dfsg-1build1) utopic; urgency=medium

  * Rebuild against libsdl-gfx1.2-5.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 May 2014 10:43:34 +0100

hyperrogue (4.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.2+dfsg
    + adapt patches to apply cleanly with the new upstream release
    + add libgl1-mesa-dev to build-dependencies due to added -lGL
  * Declare conformance with Policy 3.9.5

 -- Damyan Ivanov <dmn@debian.org>  Mon, 23 Dec 2013 10:21:02 +0200
