=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  debhelper (>= 9),
  imagemagick,
  libfontconfig-dev,
+ libgl1-mesa-dev,
  libsdl-gfx1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl1.2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: games
 Homepage: http://www.roguetemple.com/z/hyper.php
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/hyperrogue.git;a=summary
