=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel --dbg-package hyperrogue-dbg

override_dh_auto_build:
	dh_auto_build

	convert debian/hyperrogue.png -scale 32x32 hyperrogue.xpm
