=== debian/watch ===
version=3
opts="uversionmangle=s/^(.)(.)/$1.$2/,dversionmangle=s/\+dfsg$//" \
    http://www.roguetemple.com/z/hyper.php hyperrogue-(\d\w*)\.zip \
    debian dpt repack.sh
