## hyperrogue 8.3j%2Bdfsg

=== debian/changelog ===
hyperrogue (8.3j+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on hppa by adding -mlong-calls to DEB_CXXFLAGS_MAINT_APPEND.
    Thanks to David Anglin for the report. (Closes: #839602)

 -- Markus Koschany <apo@debian.org>  Mon, 03 Oct 2016 00:13:19 +0200

hyperrogue (8.3j+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Implement several measures to avoid memory exhaustion and compilation
    errors on weaker buildds:
    - Don't build with parallel to reduce the amount of required memory.
    - Add optimization.patch and use Debian's default value for compiler
      optimization.
    - Build with O0 optimization on arm64 and hppa to prevent compilation
      errors and memory exhaustion.
  * Update Homepage field.

 -- Markus Koschany <apo@debian.org>  Sat, 10 Sep 2016 22:37:04 +0200

hyperrogue (8.3j+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.3j+dfsg. (Closes: #797024)
  * New upstream release fixes FTBFS with GCC-6. (Closes: #811991)
  * Drop hyperrogue-dbg package and use the automatic -dbgsym package instead.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-fields: Use cgit and https.
  * hyperrogue-music: Suggest hyperrogue.
  * hyperrogue.desktop: Add a comment in German.
  * Drop hyperrogue.menu, remove hyperrogue.xmp icon and do not convert
    the png icon to xpm anymore. (Closes: #797974)
  * d/rules: Change source directory to src.
  * Add system-dejavu.patch and replace 10-fontconfig.patch.
  * Drop 01-sdl_wm.patch. Fixed upstream.
  * d/control: Only depend on fonts-dejavu-core for hyperrouge.
  * d/control: Build-depend on libpng-dev.
  * Update copyright for new release and add missing licenses.
  * Update debian/clean and ensure that the package can be built twice in a
    row.
  * Fix debian/watch file.

 -- Markus Koschany <apo@debian.org>  Sat, 10 Sep 2016 00:17:25 +0200
