## hyperrogue 8.3j+dfsg

=== debian/control ===
Source: hyperrogue
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Christian M. Amsüss <chrysn@fsfe.org>,
 Damyan Ivanov <dmn@debian.org>
Build-Depends:
 debhelper (>= 9),
 libfontconfig-dev,
 libgl1-mesa-dev,
 libpng-dev,
 libsdl-gfx1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev
Standards-Version: 3.9.8
Homepage: http://www.roguetemple.com/z/hyper/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/hyperrogue.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/hyperrogue.git

Package: hyperrogue
Architecture: any
Depends:
 fonts-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 hyperrogue-music
Description: non-euclidean graphical rogue-like game
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 In HyperRogue, the player can move through different parts of the world, which
 are home to particular creatures and may be subject to own rules of "physics".
 .
 While it can use ASCII characters to display the world the classical rogue
 symbols, the game needs graphics to render the non-euclidean world.

Package: hyperrogue-music
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 hyperrogue
Description: in-game music for hyperrogue
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 This package contains the in-game music.
