=== debian/watch ===
version=4
opts="uversionmangle=s/^(.)(.)/$1.$2/,dversionmangle=s/\+dfsg$//" \
    http://www.roguetemple.com/z/hyper/download.php hyperrogue-(\d\w*)\.zip \
    debian dpt repack.sh
