## hyperrogue 9.4n+dfsg

=== debian/changelog ===
hyperrogue (9.4n+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.4n.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.
  * Build with all hardening flags including pie again. (Closes: #865604)
  * Install new sound and music files into hyperrogue-music package.
  * Explain how to obtain the sources. Remove repack.local.
  * Update debian/copyright for new release.
  * Fix debian/watch file.

 -- Markus Koschany <apo@debian.org>  Mon, 17 Jul 2017 20:05:29 +0200
