=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christian M. Amsüss <chrysn@fsfe.org>,
  Damyan Ivanov <dmn@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libfontconfig-dev,
  libgl1-mesa-dev,
  libpng-dev,
@@ -14,7 +14,7 @@
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl1.2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/hyperrogue.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/hyperrogue.git
