=== debian/changelog ===
hyperrogue (10.0g-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.0g.
  * Drop the +dfsg suffix because the source code is DFSG-free and we just
    create our own tarball with music files included.
  * Declare compliance with Debian Policy 4.1.0.
  * Refresh system-dejavu.patch.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Sep 2017 21:23:21 +0200
