=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl1.2-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: http://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/hyperrogue.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/hyperrogue.git
