## hyperrogue 10.4j

=== debian/changelog ===
hyperrogue (10.4j-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.4j.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.5.

 -- Markus Koschany <apo@debian.org>  Thu, 02 Aug 2018 02:54:00 +0200
