## hyperrogue 11.2b

=== debian/changelog ===
hyperrogue (11.2b-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:04 +0100

hyperrogue (11.2b-1) unstable; urgency=medium

  * Team upload.
  * New upstream version release.
    - drop patch applied upstream.
    - update copyright.
    - clean generated header file
  * Bump Standards-Version to 4.4.1.
  * Add patch to build source files individually instead of all at once.
  * Use optimizations on all architectures.
  * Enable parallel building.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 03 Oct 2019 17:55:21 +0200

hyperrogue (10.5e-2) unstable; urgency=medium

  * Team upload.
  * Disable optimization also on mipsel so that it can build on buildds.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 24 Aug 2019 18:11:12 +0200

hyperrogue (10.5e-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.5e.
    - drop obsolete patches and refresh remaining one
  * Update watch file to fix version detection.
  * Point Vcs-* fields to salsa.
  * Update d/copyright:
    - add dlls, Android port and font to Files-Excluded
    - add missing license paragraph for CC-BY-3.0
    - update paths of new upstream version.
  * Update debhelper compat level to 12.
  * Update Standards-Version to 4.4.0:
    - declare that d/rules does not require root
  * Mark -music package as Multi-Arch: foreign
  * Use https for upstream homepage
  * Pass /usr/games as bindir to configure
  * Use hyperrogue as new binary name.
  * Rename manpage to new binary name.
  * Install README file.
  * Fix spelling errors found by lintian.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 23 Aug 2019 23:14:08 +0200
