=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christian M. Amsüss <chrysn@fsfe.org>,
  Damyan Ivanov <dmn@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libfontconfig-dev,
  libgl1-mesa-dev,
  libpng-dev,
@@ -14,10 +14,11 @@
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl1.2-dev
-Standards-Version: 4.1.5
-Homepage: http://www.roguetemple.com/z/hyper/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/hyperrogue.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/hyperrogue.git
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Homepage: https://www.roguetemple.com/z/hyper/
+Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue
+Vcs-Git: https://salsa.debian.org/games-team/hyperrogue.git
 
 Package: hyperrogue
 Architecture: any
@@ -40,6 +41,7 @@
 
 Package: hyperrogue-music
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:
