## hyperrogue 11.3o

=== debian/changelog ===
hyperrogue (11.3o-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - refresh patches
  * Build-depend on zlib1g-dev.
  * Update copyrights.
  * Bump debhelper compat to 13.
  * Bump Standards-Version to 4.5.1.
  * Add upstream metadata.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 09 Jan 2021 14:07:10 +0100
