=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Christian M. Amsüss <chrysn@fsfe.org>,
  Damyan Ivanov <dmn@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libfontconfig-dev,
  libgl1-mesa-dev,
  libpng-dev,
  libsdl-gfx1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
- libsdl1.2-dev
-Standards-Version: 4.4.1
+ libsdl1.2-dev,
+ zlib1g-dev
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue
