=== debian/changelog ===
hyperrogue (12.0f-1build1) jammy; urgency=medium

  * No-change rebuild against libglew2.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 13:19:01 +0000

hyperrogue (12.0f-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - refresh/update patches
  * Build with FHS so that log/config files are placed in home directory.
    (Closes: #985797)
  * Cherry-pick upstream patch to fix build with current GCC.
  * Build with SDL2 support.
    - change build dependencies from SDL1 to SDL2
    - update Makefile to build against SDL2
  * Drop -march=native optimization from Makefile.
  * Improve Makefile to build with pkg-config.
  * Adjust *.install files for new upstream Makefile.
  * Update copyrights.
  * Bump Standards-Version to 4.6.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 30 Aug 2021 01:04:03 +0200
