=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
  debhelper-compat (= 13),
  libfontconfig-dev,
  libgl1-mesa-dev,
+ libglew-dev,
  libpng-dev,
- libsdl-gfx1.2-dev,
- libsdl-mixer1.2-dev,
- libsdl-ttf2.0-dev,
- libsdl1.2-dev,
+ libsdl2-gfx-dev,
+ libsdl2-mixer-dev,
+ libsdl2-ttf-dev,
+ libsdl2-dev,
+ pkg-config,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue
