=== debian/changelog ===
hyperrogue (12.0q-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch applied upstream and refresh patches.
  * Cherry-pick patch to fix build with GCC 12.
  * Bump Standards-Version to 4.6.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 09 Jun 2022 11:09:33 +0200
