=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libsdl2-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue
