=== debian/changelog ===
hyperrogue (12.1q-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file to tags.
  * Bump Standards-Version to 4.6.2.
  * Drop patch for locating system font, as fontconfig is now supported.
  * Drop patch for disabling native optimizations, as it is no longer needed.
  * Drop patch for gcc12 support, which is applied upstream.
  * Build with fontconfig support.
  * Replace obsolete build dependency libgl1-mesa-dev => libgl-dev.
  * Drop removed paths from d/copyright.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Jun 2023 14:18:18 +0200
