=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libfontconfig-dev,
- libgl1-mesa-dev,
+ libgl-dev,
  libglew-dev,
  libpng-dev,
  libsdl2-gfx-dev,
@@ -17,7 +17,7 @@
  libsdl2-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue
