=== debian/watch ===
version=4
https://github.com/zenorogue/hyperrogue/tags \
 .*/v?@ANY_VERSION@@ARCHIVE_EXT@
